#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
%define _cmake_skip_rpath %nil
%define rel 1

Name:           discover
Version: 5.8.7
Release:        %mkrel %rel
Summary:        KDE and Plasma resources management GUI
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://kde.org
Source0:        %{name}-%{version}.tar.xz
Patch0:         discover-5.7.95-fix-desktop-file.patch

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Quick)

#KDE Framework BuildRequires
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5Attica)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Kirigami)

#PackageKit backend BuildRequires
BuildRequires:  cmake(packagekitqt5)
BuildRequires:  cmake(AppStreamQt) >= 0.10

Requires:       kirigami

#Add secondary provides name for sanity
Provides: plasma-%{name} = %{version}-%{release}
Provides: plasma-%{name}%{?_isa} = %{version}-%{release}

%description
KDE and Plasma resources management GUI.

%files -f discover.lang
%_kf5_libexecdir/discover/runservice
%_kf5_bindir/plasma-discover
%_kf5_sysconfdir/xdg/discover_ktexteditor_codesnippets_core.knsrc
%_kf5_libdir/plasma-discover/libDiscoverCommon.so
%_kf5_libdir/plasma-discover/libDiscoverNotifiers.so
%_qt5_plugindir/discover
%_qt5_plugindir/discover-notifier
%_qt5_qml/org/kde/discover
%_qt5_qml/org/kde/discovernotifier
%_kf5_applicationdir/org.kde.discover.desktop
%_kf5_appdatadir/org.kde.discover.appdata.xml
%_kf5_appdatadir/org.kde.discovernotifier.appdata.xml
%_kf5_iconsdir/hicolor/*/*/*
%_kf5_datadir/discover/pkcategories
%_kf5_knotificationsdir/discoverabstractnotifier.notifyrc
%_kf5_services/plasma-applet-org.kde.discovernotifier.desktop
%_kf5_datadir/kxmlgui5/plasmadiscover/plasmadiscoverui.rc
%_kf5_datadir/libdiscover/backends/knsplasmoids-backend.desktop
%_kf5_datadir/libdiscover/backends/knscomic-backend.desktop
%_kf5_datadir/libdiscover/backends/knsdiscover_ktexteditor_codesnippets_core-backend.desktop
%_kf5_datadir/libdiscover/backends/packagekit-backend.desktop
%_kf5_datadir/libdiscover/categories/knsdiscover_ktexteditor_codesnippets_core-backend-categories.xml
%_kf5_datadir/libdiscover/categories/knsplasmoids-backend-categories.xml
%_kf5_datadir/libdiscover/categories/knscomic-backend-categories.xml
%_kf5_datadir/libdiscover/categories/packagekit-backend-categories.xml
%_kf5_datadir/plasma/plasmoids/org.kde.discovernotifier/
%_kf5_datadir/plasmadiscover/featured.json

#--------------------------------------------------------------------

%prep 
%setup -q
# disable update notifier applet by default.
sed -i \
  -e 's|X-KDE-PluginInfo-EnabledByDefault=.*|X-KDE-PluginInfo-EnabledByDefault=false|g' \
  notifier/plasmoid/metadata.desktop

%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all-name %name


%changelog
* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1105054
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089015
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078217
- New version 5.8.5

* Thu Dec 15 2016 daviddavid <daviddavid> 5.8.4-3.mga6
+ Revision: 1075328
- fix file list

* Wed Nov 30 2016 neoclust <neoclust> 5.8.4-2.mga6
+ Revision: 1071295
- Rebuild against new appstream

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070707
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065077
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064467
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063038
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060263
- New version 5.8.1

* Sat Oct 01 2016 daviddavid <daviddavid> 5.8.0-2.mga6
+ Revision: 1057995
- add missing requires on kirigami (mga#19500)

* Fri Sep 30 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057816
- New version 5.8.0

* Fri Sep 16 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053424
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052672
- New version 5.7.5

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048736
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044258
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-5.mga6
+ Revision: 1042546
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-5.mga6
+ Revision: 1041383
- New version 5.7.1

* Sat Jul 09 2016 neoclust <neoclust> 5.7.0-5.mga6
+ Revision: 1039959
- Fix RPATH

* Sat Jul 09 2016 ngompa <ngompa> 5.7.0-4.mga6
+ Revision: 1039929
- Fix path for discover libraries

* Fri Jul 08 2016 ngompa <ngompa> 5.7.0-3.mga6
+ Revision: 1039807
- Add Appstream BR for building PK backend

* Fri Jul 08 2016 tmb <tmb> 5.7.0-2.mga6
+ Revision: 1039760
- fix broken .desktop file

  + neoclust <neoclust>
    - New version 5.7.0

* Tue Jul 05 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1038962
- imported package discover

